# DullahanDiscountCalculator

### UNIT

```solidity
uint256 UNIT
```

1e18 scale

### GHO\_DISCOUNTED\_PER\_DISCOUNT\_TOKEN

```solidity
uint256 GHO_DISCOUNTED_PER_DISCOUNT_TOKEN
```

*Amount of debt that is entitled to get a discount per unit of discount token Expressed with the number of decimals of the discounted token*

### MIN\_DISCOUNT\_TOKEN\_BALANCE

```solidity
uint256 MIN_DISCOUNT_TOKEN_BALANCE
```

*Minimum balance amount of discount token to be entitled to a discount Expressed with the number of decimals of the discount token*

### MIN\_DEBT\_TOKEN\_BALANCE

```solidity
uint256 MIN_DEBT_TOKEN_BALANCE
```

*Minimum balance amount of debt token to be entitled to a discount Expressed with the number of decimals of the debt token*

### calculateAmountForMaxDiscount

```solidity
function calculateAmountForMaxDiscount(uint256 totalDebtAmount) external pure returns (uint256 neededAmount)
```

End of Aave parameters zone


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paladin.vote/dullahan/smart-contracts/dullahandiscountcalculator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
